apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: todo-app-ingress
  annotations:
    kubernetes.io/ingress.class: "gce" # an external load-balancer
    kubernetes.io/ingress.allow-http: "false" # disabling HTTP
    kubernetes.io/ingress.global-static-ip-name: todoapp-ip # staging-todoapp-ip for staging
    networking.gke.io/managed-certificates: todoapp-managed-cert # defined in the infrastructure repository
spec:
  # rules:
  # - http:
  #     paths:
  #     - path: /*
  #       pathType: ImplementationSpecific
  #       backend:
  #         serviceName: todo-app-service
  #         servicePort: 80
  defaultBackend:
    service:
      name: todo-app-service
      port:
        number: 8080
